Subject: Re: Funny Routing change since 2.6.16.x

From: Ingo Oeser <[email-masked]>
Date: Wed, 7 Feb 2007 18:16:27 +0100

Patrick McHardy schrieb:
> My guess is that you're using MASQUERADE on ppp0, which since 2.6.14
> doesn't exclude locally generated packets anymore, so it translates
> them to the primary ppp0 address. For replies it works because NAT
> is already set up for the incoming packet, without masquerading.

Your guess is right! Thanks for that hint. Do you have any idea, how to
restore the old behavior? 

I have to, because the ISP cannot assign a different local address
and have problems with the new behavior, because that IP adress is an MX entry
and the VPN gateway address for several third party vendor tunnels. 
So changing that is quite an effort.

Many thanks for your quick answer.

Best regards

Ingo Oeser